Subject: Re: [6lo] On 6loRH Inquiry

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 9 Feb 2016 10:52:20 +0000

Hello Daniel:

Please see below :

> 1. Do popping headers and coalescing technique of 6loRH also apply/be used for sending packets from the leaf up to the root?

In theory these are compression techniques, independent of where they are used.

Now, popping has to do with RH3, which at the moment is only used from the root and only in non storing mode. But if routing headers are used for other reasons, it will appply as well.

Cheers,

Pascal

From: Daniel Nepomuceno [mailto:[email-masked]]
Sent: lundi 8 février 2016 05:22
To: Pascal Thubert (pthubert) <[email-masked]>
Subject: On 6loRH Inquiry

Greetings!
I have read about your 6loRH proposal for IETF. I also read the IETF forums regarding this matter. I am relatively new in this field and I need your help for clarifications.

In the draft, the popping headers and coalescing technique illustrated the case for routes from the root to the leaf. But for the case of a network with only one root:

1. Do popping headers and coalescing technique of 6loRH also apply/be used for sending packets from the leaf up to the root?

2. Or Is this technique be used with, specifically for packets used in network routing (RPL) only, and not for sending application data?
Thank you very much!

Joven Daniel R. Nepomuceno
2009-19409
BS Computer Engineering
University of the Philippines - Diliman